AW: [Snort-users] barnyard with postgres compile problem

Jochen Vogel jvogel at ...8466...
Thu Jun 5 02:26:02 EDT 2003


./configure --enable-postgres
and
./configure --enable-postgres --with-postgres-includes=/usr/include
--with-postgres-libraries=/usr/include/

same problem


> I suppose you tried:
> 
> --with-postgres-includes=/usr/include
> 
> ... ;)
> 
> Regards,
> 
> Edin
> 
> #  --with-postgres-libraries=DIR PostgreSQL libraries directory
> 
> 
> Jochen Vogel wrote:
> > hi,
> > 
> > i´m using
> > 
> > RedHat8.0
> > barnyard0.1.0
> > postgresql-libs-7.2.3-5.80
> > postgresql-devel-7.2.3-5.80
> > 
> > ----------------------------
> > 
> > if i do an
> > ./configure --enable-postgres
> > i get an
> > checking for /usr/include/libpq-fe.h... no
> > 
> > 
> > **********************************************
> >   ERROR: unable to find postgres headers (libpq-fe.h)
> >   checked in the following places
> >         /usr/include/libpq-fe.h
> > **********************************************
> > 
> > ----------------------------
> > /usr/include/libpq-fe.h exist
> > 
> > vi /usr/include/libpq-fe.h 
> > 
> >  * libpq-fe.h
> >  *        This file contains definitions for structures and
> >  *        externs for functions used by frontend postgres 
> applications.
> >  *
> >  * Portions Copyright (c) 1996-2001, PostgreSQL Global 
> Development Group
> >  * Portions Copyright (c) 1994, Regents of the University 
> of California
> >  *
> >  * $Id: libpq-fe.h,v 1.80 2001/11/08 20:37:52 momjian Exp $
> > 
> > ---------------------------------------
> > 
> > thx for help
> > jo
> > 
> 
> -- 
> Edin Dizdarevic
> 




More information about the Snort-users mailing list